Skip to main content

Query Categories

Service Address​

http://api-az-cn.danghongyun.com/rest

Request Method​

GET

Request Parameters​

ParameterDescriptionTypeRequired
accessKeyThe user access keyStringRequired
actionAPI name, this api is "liveChannelTypeList"StringRequired
versionAPI version, currently must be 2.0StringRequired
signatureSignature generated by signature rule.StringRequired
timestampInvoke time in milliseconds since january 1 1970, eg: 1466488681033StringRequired
idThe id of categoryStringOptional
nameThe name of the categoryStringOptional

Response Example​

{
"code":0,
"message":"operation success",
"result":
[
{
"id":"7a890dd49c0349f696a58d724cde03a6",
"name":"wjhTestLiveType2222",
"userId":229,
"createTime":1499935511000,
"updateTime":1499950525000
},
{
"id":"d05e1cc30e754c5a940c721eb9df0acf",
"name":"type of test dcz",
"userId":229,
"createTime":1503452451000,
"updateTime":null
},
{
"id":"58e8ccdb291b4cb5a6a3ffc38871eab7",
"name":"the type of live stream 1",
"userId":229,
"createTime":1520930804000,
"updateTime":1520931684000
}
],
"success":true
}

Response Fields​

FieldDescription
idunique identification;
namethe name of the live stream category;
userIduser id;
createTimecreate time;
updateTimeupdate time;